Subject: bug#11588: 24.0.97; Left mouse click setting the mark every time?!??

From: Tobias Bading <[email-masked]>
Date: Wed, 30 May 2012 19:26:54 +0200

On 30.05.2012, at 19:18, Drew Adams wrote:
>> The bug in Emacs 23 caused by a slight mouse movement between 
>> mouse down and up events that Chong described is quite bad 
>> IMHO. Probably worse than a mouse click setting the mark 
>> every time. Please don't put that bug back in :-).
> 
> Now it's my turn to say I don't understand.
> 
> Whether in Emacs 22, 23, or 24, if you move the mouse more than a character
> width between down and up then you end up selecting the text you dragged over,
> even if it is only one char - and thus highlighting it.  If you then hit `C-w',
> the selected text is killed.  C'est normal.
> 
> You can _see_ the text to be killed.  That's the point of mouse-selection
> highlighting (and the point behind transient-mark-mode highlighting).  If you
> don't want to kill the text that you see highlighted, then don't kill it.
> 
> I don't understand the problem that the change is designed to fix.  You say that
> you hit C-SPC, then you clicked mouse-1 elsewhere but you mistakenly dragged a
> bit between button down and up.  OK.  It should have been clear with the
> highlighting that the text to be killed did not extend from your C-SPC.  Where
> was the mystery?
> 
> Sounds like a case of if-it-hurts-don't-do-it.

Wish it was that easy. I think Chong meant a mouse movement by just a few pixels, not characters. At least that would explain perfectly my am-I-to-stupid-to-use-a-mouse-or-what moments. I obviously moved the mouse a pixel or two while clicking, resulting in a mark being set at point. C-w or M-w after that kills or copies an empty region. That's exactly what I managed to do every once in a while in Emacs 23. At least Emacs 24 is consistent, it never works ;-).

> FWIW, I don't think I have ever mistakenly dragged the mouse slightly between
> down and up.  Maybe I've been lucky.

Yup, checking my medication might solve my problem, too. :-D

Tobias